polybori::groebner::SlimgbReduction< variant > Class Template Reference

This class defines SlimgbReduction. More...

`#include <SlimgbReduction.h>`

## Public Member Functions

| SlimgbReduction (GroebnerStrategy &strat)
| SlimgbReduction ()
void | addPolynomial (const Polynomial &p)
void | reduce ()
Polynomial | nextResult ()
template<>
void | reduce ()

## Public Attributes

std::vector< Polynomial > | result

## Detailed Description

### template<int variant>
class polybori::groebner::SlimgbReduction< variant >

This class defines SlimgbReduction.

## Constructor & Destructor Documentation

template<int variant>

polybori::groebner::SlimgbReduction< variant >::SlimgbReduction | ( | GroebnerStrategy & | strat | ) |

inline

template<int variant>

polybori::groebner::SlimgbReduction< variant >::SlimgbReduction | ( |  | ) |

inline

## Member Function Documentation

template<int variant>

void polybori::groebner::SlimgbReduction< variant >::addPolynomial | ( | const Polynomial & | p | ) |

inline

References polybori::BoolePolynomial::isZero().

template<int variant>

Polynomial polybori::groebner::SlimgbReduction< variant >::nextResult | ( |  | ) |

inline

template<int variant>

void polybori::groebner::SlimgbReduction< variant >::reduce | ( |  | ) |

template<>

void polybori::groebner::SlimgbReduction< SLIMGB_SIMPLEST >::reduce | ( |  | ) |

inline

References polybori::BoolePolynomial::isZero(), polybori::BoolePolynomial::lead(), and PBORI_ASSERT.

## Member Data Documentation

template<int variant>

std::vector<Polynomial> polybori::groebner::SlimgbReduction< variant >::result

The documentation for this class was generated from the following file:

- SlimgbReduction.h